LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

cppu::UnoSequenceType< typename > Struct Template Reference

A unique C++ type template representing the UNO sequence types in cppu::UnoType. More...

`#include <unotype.hxx>`

## Detailed Description

### template<typename>
struct cppu::UnoSequenceType< typename >

A unique C++ type template representing the UNO sequence types in cppu::UnoType.

The UNO types UNSIGNED SHORT and CHAR map to the same C++ type, so this C++ type is needed to unambiguously specify UNO types in cppu::UnoType.

This type is declared but not defined. Its only use is as a template argument to cppu::UnoType.

Since
  UDK 3.2.2

The documentation for this struct was generated from the following file:

- cppu/unotype.hxx